FLTK 1.4.4

Loading...
Searching...
No Matches
Fl_Grid.H File Reference

Fl_Grid container widget. More...

`#include <FL/Fl_Group.H>`
`#include <FL/Fl_Rect.H>`

Go to the source code of this file.

## Classes
class | Fl_Grid::Cell
class | Fl_Grid
| Fl_Grid is a container (layout) widget with multiple columns and rows. More...

## Typedefs
typedef unsigned short | Fl_Grid_Align
| Fl_Grid type for child widget alignment control.

## Variables
const Fl_Grid_Align | FL_GRID_BOTTOM = 0x0002
| Align the widget at the bottom of the cell.
const Fl_Grid_Align | FL_GRID_BOTTOM_LEFT = FL_GRID_BOTTOM | FL_GRID_LEFT
const Fl_Grid_Align | FL_GRID_BOTTOM_RIGHT = FL_GRID_BOTTOM | FL_GRID_RIGHT
const Fl_Grid_Align | FL_GRID_CENTER = 0x0000
| Align the widget in the middle of the cell (default).
const Fl_Grid_Align | FL_GRID_FILL = 0x0030
| Stretch the widget in both directions to fill the cell.
const Fl_Grid_Align | FL_GRID_HORIZONTAL = 0x0010
| Stretch the widget horizontally to fill the cell.
const Fl_Grid_Align | FL_GRID_LEFT = 0x0004
| Align the widget at the left side of the cell.
const Fl_Grid_Align | FL_GRID_PROPORTIONAL = 0x0040
| Stretch the widget proportionally.
const Fl_Grid_Align | FL_GRID_RIGHT = 0x0008
| Align the widget at the right side of the cell.
const Fl_Grid_Align | FL_GRID_TOP = 0x0001
| Align the widget at the top of the cell.
const Fl_Grid_Align | FL_GRID_TOP_LEFT = FL_GRID_TOP | FL_GRID_LEFT
const Fl_Grid_Align | FL_GRID_TOP_RIGHT = FL_GRID_TOP | FL_GRID_RIGHT
const Fl_Grid_Align | FL_GRID_VERTICAL = 0x0020
| Stretch the widget vertically to fill the cell.

## Detailed Description

Fl_Grid container widget.